package app

import (
	"git.vinchent.xyz/vinchent/go-web/framework"
	"git.vinchent.xyz/vinchent/go-web/framework/contract"
)

type GoWebAppProvider struct {
	BaseFolder string
}

func (goweb *GoWebAppProvider) Register(c framework.Container) framework.NewInstance {
	return NewGoWebApp
}

func (goweb *GoWebAppProvider) Init(c framework.Container) error {
	return nil
}

func (goweb *GoWebAppProvider) InstantiateLater() bool {
	return false
}

func (goweb *GoWebAppProvider) Params(c framework.Container) []interface{} {
	return []interface{}{c, goweb.BaseFolder}
}

func (goweb *GoWebAppProvider) Name() string {
	return contract.AppName
}
